%% Uniform mesh

% Load the data (see README.md for a description of the data in this file)
load('cube_ratio1.mat');

% L2 Error
figure;
semilogy(FREQ*2*pi,ERROR(:,1),'--',FREQ*2*pi,ERROR(:,2),'-',FREQ*2*pi,ERROR(:,3),'.');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.01 100]);
xlabel('Frequency, \omega');
ylabel('L^2 error (%)');
title('(a)')

% Polynomial Orders
figure;
plot(FREQ*2*pi,MIN_ORDER(:,2),'g-',FREQ*2*pi,MEAN_ORDER(:,2),'b-',FREQ*2*pi,MAX_ORDER(:,2),'r-');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.5 10.5]);
xlabel('Frequency, \omega');
ylabel('Polynomial order');
title('(a)')


%% Mesh with non-uniformity ratio of 5

% Load the data (see README.md for a description of the data in this file)
load('cube_ratio5.mat');

% L2 Error
figure;
semilogy(FREQ*2*pi,ERROR(:,1),'--',FREQ*2*pi,ERROR(:,2),'-',FREQ*2*pi,ERROR(:,3),'.');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.01 100]);
xlabel('Frequency, \omega');
ylabel('L^2 error (%)');
title('(c)')

% Polynomial Orders
figure;
plot(FREQ*2*pi,MIN_ORDER(:,2),'g-',FREQ*2*pi,MEAN_ORDER(:,2),'b-',FREQ*2*pi,MAX_ORDER(:,2),'r-');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.5 10.5]);
xlabel('Frequency, \omega');
ylabel('Polynomial order');
title('(c)')


%% Mesh with non-uniformity ratio of 10

% Load the data (see README.md for a description of the data in this file)
load('cube_ratio10.mat');

% L2 Error
figure;
semilogy(FREQ*2*pi,ERROR(:,1),'--',FREQ*2*pi,ERROR(:,2),'-',FREQ*2*pi,ERROR(:,3),'.');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.01 100]);
xlabel('Frequency, \omega');
ylabel('L^2 error (%)');
title('(d)')

% Polynomial Orders
figure;
plot(FREQ*2*pi,MIN_ORDER(:,2),'g-',FREQ*2*pi,MEAN_ORDER(:,2),'b-',FREQ*2*pi,MAX_ORDER(:,2),'r-');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.5 10.5]);
xlabel('Frequency, \omega');
ylabel('Polynomial order');
title('(d)')


%% Mesh with non-uniformity ratio of 4 --> boundary composed of small elements

% Load the data (see README.md for a description of the data in this file)
load('cube_ratio4.mat');

% L2 Error
figure;
semilogy(FREQ*2*pi,ERROR(:,1),'--',FREQ*2*pi,ERROR(:,2),'-',FREQ*2*pi,ERROR(:,3),'.');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.01 100]);
xlabel('Frequency, \omega');
ylabel('L^2 error (%)');
title('(b)')

% Polynomial Orders
figure;
plot(FREQ*2*pi,MIN_ORDER(:,2),'g-',FREQ*2*pi,MEAN_ORDER(:,2),'b-',FREQ*2*pi,MAX_ORDER(:,2),'r-');
set_figure
set(gca,'Xlim',[FREQ(end)*2*pi FREQ(1)*2*pi],'Ylim',[0.5 10.5]);
xlabel('Frequency, \omega');
ylabel('Polynomial order');
title('(b)')
